#include <jansson.h>

int main(int argc, char *argv[]) {
  fprintf(stdout,"main() Started...\n");

  json_t *arrayArray, *arrayInt, *integer1, *integer2;
  size_t sizeArAr, sizeArInt;

  arrayInt = json_array();

  integer1 = json_integer(42);
  integer2 = json_integer(23);

  json_array_append(arrayInt, integer1);
  json_array_append(arrayInt, integer2);

  json_decref(integer1);
  json_decref(integer2);

  sizeArInt = json_array_size(arrayInt);
  fprintf(stdout,"main() size(arrayInt): %ld\n", sizeArInt);

  arrayArray = json_array();

  json_array_append(arrayArray, arrayInt);

  json_decref(arrayInt);

  sizeArAr = json_array_size(arrayArray);
  fprintf(stdout,"main() size(arrayArray): %ld\n", sizeArAr);

  json_decref(arrayArray);

  fprintf(stdout,"main() Done.\n");
  return 0;
}
